Name:           yubikey-manager-qt
Summary:        Application for configuring any YubiKey over all USB interfaces
Version:        1.2.5
Release:        %mkrel 1
License:        BSD
Group:          Development/C
Url:            https://developers.yubico.com/yubikey-manager-qt
Source0:        https://developers.yubico.com/%{name}/Releases/%{name}-%{version}.tar.gz
BuildRequires:  cmake
BuildRequires:  openssl-devel
BuildRequires:  pcsc-lite-devel
BuildRequires:  check-devel
BuildRequires:  gengetopt
BuildRequires:  help2man
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Quick)
BuildRequires:	pkgconfig(Qt5QuickControls2)
BuildRequires:	pkgconfig(Qt5Qml)
BuildRequires:	pkgconfig(Qt5Widgets)

Requires:		ccid
Requires:		pcsc-lite
Requires:		openssl
Requires:		qtquickcontrols5
Requires:		pyotherside
Requires:		python3-yubikey-manager

%description
YubiKey Manager is a Qt application written in QML that uses the
plugin PyOtherSide to enable the back-end logic to be written in
Python 3. The python library yubikey-manager is needed to
communicate with the YubiKey.

The current version can:

* Display the serial number and firmware version of a YubiKey
* Configure a FIDO2 PIN
* Reset the FIDO Applications
* Configure the OTP Application. A YubiKey have two slots (Short Touch and Long Touch), which may both be configured for different functionality.
This tool can configure a https://developers.yubico.com/OTP/[Yubico OTP] credential, a static password, a challenge-response credential or an https://developers.yubico.com/OATH/[OATH] HOTP credential in both of these slots.
* Manage certificates and PINs for the PIV Application
* Swap the credentials between two configured slots
* Enable and disable USB and NFC interfaces

%prep
%setup -q -n %{name}

%build
%qmake_qt5
%make_build INSTALL_ROOT=%{buildroot}

%install
%make_install INSTALL_ROOT=%{buildroot}

%files
%{_bindir}/ykman-gui


%changelog
* Thu Dec 05 2024 daviddavid <daviddavid> 1.2.5-1.mga10
+ Revision: 2121649
- new version: 1.2.5

* Tue Apr 05 2022 umeabot <umeabot> 1.2.4-2.mga9
+ Revision: 1844681
- Mageia 9 Mass Rebuild

* Wed Dec 08 2021 bcornec <bcornec> 1.2.4-1.mga9
+ Revision: 1761112
- Update to upstream yubikey-manager-qt-1.2.4

* Mon Oct 25 2021 bcornec <bcornec> 1.2.3-1.mga9
+ Revision: 1752922
- Update yubikey-manager-qt to upstream 1.2.3

* Thu Dec 17 2020 umeabot <umeabot> 1.1.5-3.mga8
+ Revision: 1660336
- Rebuild for new Qt5

* Thu Dec 03 2020 bcornec <bcornec> 1.1.5-2.mga8
+ Revision: 1652056
- Fix a build dep issue (char error)

* Sun Oct 04 2020 bcornec <bcornec> 1.1.5-1.mga8
+ Revision: 1632124
- Import yubikey-manager-qt
- Created package structure for yubikey-manager-qt.

